Skip to main content
GET
/
orgs
/
{org_id}
/
emails
/
domains
/
{domain_id}
/
provider
Get DNS Provider
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/emails/domains/{domain_id}/provider
{
  "provider": "<string>",
  "name": "<string>",
  "logo_url": "<string>",
  "dns_settings_url": "<string>",
  "auto_config_url": "<string>"
}

Path Parameters

org_id
string
required

The ID of the org

domain_id
string
required

The ID or domain name of the email domain

Response

200 - application/json

Detected DNS provider information for a domain

provider
string | null
required

Provider identifier (e.g. "cloudflare", "godaddy")

name
string | null
required

Display name of the DNS provider

logo_url
string | null
required

URL to the provider logo icon

dns_settings_url
string | null
required

Deep link to the DNS settings page for this domain

auto_config_url
string | null
required

Domain Connect URL for one-click auto-configuration (when supported)